Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class ListStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.ListStyleConverter

    public class ListStyleConverter

extends StyleConverterHelper

This class converts OpenDocument list styles to CSS2 styles (currently, actually CSS1).

Field Summary

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`ListStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `ListStyleConverter`

Method Summary
`void` | `applyStyle(int nLevel, java.lang.String sStyleName, StyleInfo info)`
`private void` | `cssList(ListStyle style, int nLevel, CSVList props)`
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`OfficeStyleFamily` | `getStyles()` Get the family of list styles

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListStyleConverter

    public ListStyleConverter(OfficeReader ofr,
                              Config config,
                              Converter converter,
                              int nType)

  Create a new `ListStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### applyStyle

    public void applyStyle(int nLevel,
                           java.lang.String sStyleName,
                           StyleInfo info)

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Specified by:
    `getStyleDeclarations` in class `StyleConverterHelper`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of list styles

  Specified by:
    `getStyles` in class `StyleConverterHelper`
  Returns:
    the style family

### cssList

    private void cssList(ListStyle style,
                         int nLevel,
                         CSVList props)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD